SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (VPN)  >   GnuTLS Vendors:   gnutls.org
GnuTLS Buffer Overflow in gnutls_session_get_data() Lets Remote Users Deny Service
SecurityTracker Alert ID:  1026310
SecurityTracker URL:  http://securitytracker.com/id/1026310
CVE Reference:   CVE-2011-4128   (Links to External Site)
Date:  Nov 10 2011
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 2.x prior to 2.12.14; 3.0 prior to 3.0.7
Description:   A vulnerability was reported in GnuTLS. A remote user can cause denial of service conditions.

A remote server can send specially crafted data to a connected client to trigger a buffer overflow in gnutls_session_get_data() and cause the target client to crash.

Alban Crequy reported this vulnerability.

Impact:   A remote server can cause the target client to crash.
Solution:   The vendor has issued a fix (2.12.14, 3.0.7).

The vendor's advisory is available at:

http://www.gnu.org/s/gnutls/security.html

Vendor URL:  www.gnu.org/software/gnutls/security.html (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Mar 28 2012 (Red Hat Issues Fix) GnuTLS Buffer Overflow in gnutls_session_get_data() Lets Remote Users Deny Service
Red Hat has issued a fix for Red Hat Enterprise Linux 6.
Mar 28 2012 (Red Hat Issues Fix) GnuTLS Buffer Overflow in gnutls_session_get_data() Lets Remote Users Deny Service
Red Hat has issued a fix for Red Hat Enterprise Linux 5.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC